cancel
Showing results for 
Search instead for 
Did you mean: 

SUPEE-7405 will throw php error in Sales.php

SUPEE-7405 will throw php error in Sales.php

After installing SUPEE-7405 I will get

 

PHP Parse error:  syntax error, unexpected '[' in /home/darmrein/public_html/app/code/core/Mage/Adminhtml/Helper/Sales.php on line 124

 

on my Server. So I can't open the order-single-view.

 

If someone has the same problem, here's the solution:

 

In function escapeHtmlWithLinks  change

 

$links = [];

 

to

 

$links = array();

2 REPLIES

Re: SUPEE-7405 will throw php error in Sales.php

Looks like it is a problem in PHP 5.3 and earlier:

https://3v4l.org/gcplP

 

Re: SUPEE-7405 will throw php error in Sales.php

Yep, PHP 5.3 is out of action as a viable interpreter to run ecommerce websites on anyway due to security maintenance being discontinued unless you're special.

 

To properly address this, install the patch PHP 5.4 - Support for PHP 5.4 - Added Jan 17, 2014  if you are running Magento 1.6 or later and move on to PHP 5.4

 

Otherwise make the noted regression patch so Magento will function under PHP 5.3.